package be.iminds.ilabt.jfed.experimenter_gui.tutorials;

import be.iminds.ilabt.jfed.ui.javafx.util.StageUtils;
import com.google.common.eventbus.EventBus;
import javafx.application.Application;
import javafx.scene.Scene;
import javafx.stage.Stage;

import java.util.Collections;

/**
 * User: twalcari
 * Date: 3/22/2016
 * Time: 11:39
 */
public class TutorialDetailViewTest extends Application {

    public static void main(String[] args) {
        launch(args);
    }

    @Override
    public void start(Stage primaryStage) throws Exception {

        Tutorial tut = new Tutorial();
        tut.setTitle("Test tutorial");
        tut.setDescription("My description");
        tut.setText("# Tutorial content");
        tut.setFiles(Collections.emptyList());


        TutorialDetailView view =new TutorialDetailView(tut, new EventBus());

        Scene scene = new Scene(view,800 ,600);

        StageUtils.setJFedStageIcons(primaryStage);
        primaryStage.setTitle(primaryStage.getTitle());
        primaryStage.setScene(scene);
        primaryStage.show();
    }
}
